Subject: [lp-wan] On Juan Carlos' proposal for ACK-on-Error

From: "Carles Gomez Montenegro" <[email-masked]>
Date: Thu, 19 Jul 2018 18:02:42 +0200

Hi,

With regard to Juan Carlos' proposal for ACK-on-Error, the point is that,
as per the current SCHC draft version, ACK-on-Error has the serious
problem of an All-0 loss, or a SCHC-ACK loss leading to aborting the
on-going fragmented packet transmission.

I support the proposal, since it solves the problem described above. It is
true that it may involve few more messages than a pure NACK-oriented
approach, but in my opinion the extra effort is well amortized in avoiding
the severe problem indicated. In addition, the problem is solved without
adding a receiver-side timer for triggering the SCHC ACK (e.g. the
ACK-on-Error timer that existed e.g. in -06 of the SCHC draft).

Cheers,

Carles